Recent

Author Topic: Cannot load default MySQL library (libmysql.dll)  (Read 15597 times)

elucasfreitas

  • Newbie
  • Posts: 3
Cannot load default MySQL library (libmysql.dll)
« on: April 15, 2017, 12:54:12 am »
Pessoal boa noite.

Instalei o Lazarus 64 no meu pc, e gostaria de conectar a um banco mysql.

Proém, quando utilizo o SQLConecctor e tento mudar a propriedade connected para true, me apresente o erro:

"Cannot load default MySQL library (libmysql.dll)"

Alguém já passou por este problema? Como resolveu?

Phil

  • Hero Member
  • *****
  • Posts: 2737
Re: Cannot load default MySQL library (libmysql.dll)
« Reply #1 on: April 15, 2017, 01:24:37 am »
"Cannot load default MySQL library (libmysql.dll)"

That probably means your app can't find the library, either because MySQL is not installed or is not installed on the system path or the library is not in the same directory as the app executable.


elucasfreitas

  • Newbie
  • Posts: 3
Re: Cannot load default MySQL library (libmysql.dll)
« Reply #2 on: April 15, 2017, 04:06:43 am »
Hi phill.
thanks for help...

The problem has been solved, but the SQLConnector have support up to Mysql5.6 and my server have 5.7.14  :-(.. still thinking what to do...

Well, I did download the libmysql.dll for  64x, so I moved to C:\Windows\System32\
I did reboot all system... and start lazarus again... and all work fine...

Either way... thanks a lot

diego bertotti

  • Full Member
  • ***
  • Posts: 101
Re: Cannot load default MySQL library (libmysql.dll)
« Reply #3 on: March 31, 2022, 01:37:36 pm »
Hello.

I had the same problem.

I was finally able to fix it, by copying libmysql.dll from the mysql lib folder. In my case, "D:\mysql57\lib", and you need to pay attention to binary versions. OS, .exe and dll must be all 64 or all 32 bit.

I used component 5.7, with dll version 5.7, but my mysql installation is version 8, (xampp) and it's working!

« Last Edit: March 31, 2022, 02:52:46 pm by diego bertotti »

 

TinyPortal © 2005-2018